Changeset 36ca21e in sasview


Ignore:
Timestamp:
Sep 26, 2017 2:54:04 PM (11 months ago)
Author:
Paul Kienzle <pkienzle@…>
Branches:
master, ESS_GUI, ESS_GUI_CategroyManager, ESS_GUI_Docs, ESS_GUI_Pr, ESS_GUI_beta_approx, ESS_GUI_corf, ESS_GUI_iss957, ESS_GUI_iss959, ESS_GUI_iss971, ESS_GUI_iss976, SVCC-1, SasView-664, ticket-1094-headless, ticket-1111, ticket-1131, ticket-1142-plugin-reload, ticket-818, ticket-976, ticket885, ticket885b, unittest-saveload, win64bit_conda_vm
Children:
b58265c3
Parents:
0225a3f
Message:

move periodictable version requirement to 1.5.0

Files:
5 edited

Legend:

Unmodified
Added
Removed
  • build_tools/conda/periodictable/meta.yaml

    r55bde35 r36ca21e  
    11package: 
    22  name: periodictable 
    3   version: !!str 1.4.1 
     3  version: !!str 1.5.0 
    44 
    55source: 
    6   fn: periodictable-1.4.1.tar.gz 
    7   url: https://pypi.python.org/packages/source/p/periodictable/periodictable-1.4.1.tar.gz 
    8   md5: 7246b63cc0b6b1be6e86b6616f9e866e 
     6  fn: periodictable-1.5.0.tar.gz 
     7  url: https://pypi.python.org/packages/source/p/periodictable/periodictable-1.5.0.tar.gz 
     8  md5: f7e0d8199b0fe829868d24a0a734398e 
    99#  patches: 
    1010   # List any patch files here 
  • build_tools/jenkins_rhel6_build.sh

    r243fbc0 r36ca21e  
    2929"$EASY_INSTALL" -d "$WORKSPACE/utils" pyparsing==1.5.5 
    3030"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5.9 
    31 "$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.3.0 
     31"$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.5.0 
    3232python deps.py 
    3333 
     
    4444# Build SasView ########################################################### 
    4545export PYTHONPATH=$PYTHONPATH:$WORKSPACE/$SASVIEW_INSTALL:$WORKSPACE/utils 
    46 python setup.py bdist_egg  
     46python setup.py bdist_egg 
    4747 
    4848 
  • build_tools/requirements.txt

    r131d94b r36ca21e  
    88lxml==2.3 
    99#PIL==1.1.7 
    10 periodictable==1.3.0 
     10periodictable==1.5.0 
    1111bumps==0.7.5.9 
    1212numpy>=1.7.1 
  • check_packages.py

    r3e1f417 r36ca21e  
    2727    'PIL': {'version': '1.1.7', 'import_name': 'Image', 'test': 'VERSION'}, 
    2828    'pylint': {'version': None, 'import_name': 'pylint', 'test': None}, 
    29     'periodictable': {'version': '1.3.0', 'import_name': 'periodictable', 'test': '__version__'}, 
     29    'periodictable': {'version': '1.5.0', 'import_name': 'periodictable', 'test': '__version__'}, 
    3030    'bumps': {'version': '0.7.5.9', 'import_name': 'bumps', 'test': '__version__'}, 
    3131    'numpy': {'version': '1.7.1', 'import_name': 'numpy', 'test': '__version__'}, 
  • setup.py

    rf542866 r36ca21e  
    392392 
    393393required = [ 
    394     'bumps>=0.7.5.9', 'periodictable>=1.3.1', 'pyparsing<2.0.0', 
     394    'bumps>=0.7.5.9', 'periodictable>=1.5.0', 'pyparsing<2.0.0', 
    395395 
    396396    # 'lxml>=2.2.2', 
Note: See TracChangeset for help on using the changeset viewer.